%define name compiz-extra
%define version 0.3.6.0
%define release %mkrel 1
%define plugins 3d animation bench border bs config crashhandler dock group inputzoom m4 miniwin mousegestures neg opacity put showdesktop snow state trailfocus wallpaper widget

Summary: Extra plugins for compiz
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gandalfn.club.fr/ubuntu/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: System/X11
Url: http://gandalfn.club.fr/ubuntu/index.php?dir=compiz-extra%2F
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-devel
BuildRequires: glib2-devel
BuildRequires: compiz-devel

%description
This package contains extra plugins for compiz, mainly backports from
beryl.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas %{plugins}

%preun
%preun_uninstall_gconf_schemas %{plugins}

%files
%defattr(-,root,root)
%{_libdir}/compiz/lib*.a
%{_libdir}/compiz/lib*.la
%{_libdir}/compiz/lib*.so
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/compiz/*.png


%changelog
* Thu Feb 01 2007 Olivier Blin <oblin@mandriva.com> 0.3.6.0-1mdv2007.0
+ Revision: 115825
- 0.3.6.0

* Tue Nov 14 2006 Olivier Blin <oblin@mandriva.com> 0.3.3.0-1mdv2007.1
+ Revision: 84204
- buildrequires glib2-devel
- png-devel is now required by compiz-devel
- buildrequires png-devel
- initial compiz-extra release
- use upstream name
- Created package structure for compiz-extras.

